/*---------------------------------------------------------------------------*\
|  Get Lan Server Software Inventory          (C) Alain Rykaert - AUG98-AUG98 |
\*---------------------------------------------------------------------------*/
    Version = '1.01'

    Parse Upper Arg DCName TargetFile Option

    Say DCName TargetFile Option

    If DCName = '' | TargetFile = '' | Option = ''
      Then Exit
      Else Nop

   '@echo off'

    Call ChkFile Directory()'\getsw.cmd'
    Call ChkFile Directory()'\magicbox.exe'

 GETSW:/* -------------------------------------------------------------------*/

    If Stream(TargetFile, 'C', 'Query Exists') = ''
      Then Nop
      Else 'del' TargetFile

    If Left(Option,1) = 'G'
      Then 'call getsw' DCName TargetFile
      Else Nop

   'start magicbox' TargetFile 'Lan Domain Software Inventory -' DCName

    Exit

 CHKFILE:/* -----------------------------------------------------------------*/

    Parse Arg FileToCheck

    If Stream(FileToCheck,'C','Query Exists') = ''
      Then Do
             Say '! File not found:' FileToCheck '07'x
             Exit
          End
      Else Nop

    Return

